(1913-2010) Bell died November 24 at the age of 97. She received her PhD from the University of Illinois in 1943 and taught at Holly Springs College, Ohio State University, Montreat College and Warren Wilson College. Bell was an AMS member since 1942.